/*
 * Class UNBOUNDED [INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1674 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1674 [] = {0xFF01,1551,1673,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1674 [] = {0xFF01,1673,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1674 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1674 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1674 [] = {0xFF01,1673,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1674 [] = {0xFF01,1673,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1674 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1674 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1674 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1674 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1674 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1674 [] = {1673,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1674 [] = {0xFF01,1673,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1674 [] = {0xFF01,1655,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1674 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1674[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1674), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1674), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1674), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1674), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1674), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1674), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1674), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1674), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1674), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1674), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1674), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1674), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1674), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1674), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9205, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8609, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8610, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8611, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8612, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1674), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1674), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
};
void Init1674(void)
{
	IDSC(desc_1674, 0, 1673);
	IDSC(desc_1674 + 1, 1, 1673);
	IDSC(desc_1674 + 32, 1134, 1673);
	IDSC(desc_1674 + 41, 554, 1673);
	IDSC(desc_1674 + 42, 878, 1673);
}


#ifdef __cplusplus
}
#endif
